Bug 149305 - Small security fix and transcoding profile fix to net/mediatomb port
Small security fix and transcoding profile fix to net/mediatomb port
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Rene Ladan
Depends on:
  Show dependency treegraph
Reported: 2010-08-05 03:00 UTC by dcarmich
Modified: 2010-10-31 00:40 UTC (History)
0 users

See Also:

file.diff (4.04 KB, patch)
2010-08-05 03:00 UTC, dcarmich
no flags Details | Diff
mediatomb-0.12.1.new.diff.txt (5.86 KB, text/plain; x-unix-mode=0644)
2010-08-05 08:05 UTC, dcarmich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description dcarmich 2010-08-05 03:00:18 UTC
Firstly, I have made a small security fix to the net/mediatomb-0.12.1 installation.

The installation process installed the mediatomb binary as executable by all users, thus creating the risk of multiple daemons running on the same machine. 

The changes I've made to the Makefile install the binary as only executable by root, and members of the mediatomb group.

Secondly, since the included vlc transcoding profile gave error messages on vlc 1.1.x (and vlc/ogg123 aren't basic libraries needed for MediaTomb to function), I developed several ffmpeg-based profiles that use ffmpeg for both audio and video transcoding. 

(There is also a profile for transcoding music MODule files with audio/xmp, the Extended Module Player, but that profile isn't enabled because xmp is not required for MediaTomb to function.)

Would it be best for the Makefile to determine the path to the ffmpeg binary, and put that in the installed config.xml?

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-08-05 03:00:27 UTC
Maintainer of net/mediatomb,

Please note that PR ports/149305 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:

Edwin Groothuis via the GNATS Auto Assign Tool
Comment 2 Edwin Groothuis freebsd_committer 2010-08-05 03:00:30 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 dcarmich 2010-08-05 08:05:05 UTC
I have made some changes to the patch, including adding an xmp (Extended Module Player) profile that outputs in raw audio format.

The changes are attached.
Comment 4 Philip M. Gollucci freebsd_committer 2010-09-17 00:22:23 UTC
State Changed
From-To: feedback->open

maintainer timeout (leo@mediatomb.cc ; 42 days)
Comment 5 Rene Ladan freebsd_committer 2010-10-29 13:24:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rene

Comment 6 dfilter freebsd_committer 2010-10-31 00:37:56 UTC
rene        2010-10-30 23:37:45 UTC

  FreeBSD ports repository

  Modified files:
    net/mediatomb        Makefile 
    net/mediatomb/files  config.xml.dist.in 
  - Install mediatomb binary as group-executable instead of world-executable
  - Use ffmpeg instead of vlc for audio/video transcoding
  - Add profile for audio/xmp (MODule files), disable by default because the
    dependency on xmp is optional
  PR:             ports/149305
  Submitted by:   Douglas Carmichael [dcarmich dcarmichael.net]
  Approved by:    maintainer timeout (11 weeks)
  Revision  Changes    Path
  1.16      +3 -0      ports/net/mediatomb/Makefile
  1.6       +32 -13    ports/net/mediatomb/files/config.xml.dist.in
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Rene Ladan freebsd_committer 2010-10-31 00:37:58 UTC
State Changed
From-To: open->closed

Committed, thanks